# Update an account-level webhook Update an existing account-level webhook by replacing its URL, description, and event types. The webhook is identified by webhook_id and completely replaced with the new configuration. Note: Webhook changes can take up to 10 minutes to become effective due to caching. Endpoint: PUT /v1/webhooks/{webhook_id} Version: 3.0.0 Security: basicAuth ## Path parameters: - `webhook_id` (string, required) The webhook ID to update ## Request fields (multipart/form-data): - `description` (string) Description for the webhook - `event_types` (string, required) Event types to subscribe to. Use multiple times to specify multiple event types. Maximum of 3 unique URLs per event type. Enum: "accepted", "clicked", "opened", "unsubscribed", "delivered", "permanent_fail", "temporary_fail", "complained" - `url` (string, required) URL for webhook to be sent to ## Response 400 fields (application/json): - `message` (string, required) Response message ## Response 403 fields (application/json): - `message` (string, required) Response message ## Response 404 fields (application/json): - `Description` (string, required) ## Response 409 fields (application/json): - `Description` (string, required)